-- *****************************************************************************
-- *
-- * Licensed Materials - Property of IBM
-- * 5724-D33
-- * (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- *		
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with
-- * IBM Corp.
-- *
-- *****************************************************************************

--
-- Taking Star Schema ID and inserting it into the RPI.SSUpdated table for rollups
--

INSERT INTO RPI.SSUpdated
SELECT
    DISTINCT iwhid
FROM
    IWH.Starschema s,
    RPI.SS_Joincols j
WHERE
    s.name = j.ssname AND
    j.tabname = 'F_DIVISION_DAY' AND
    j.schema = 'COD' and not exists
    (select 1 from rpi.ssupdated where iwhid=id)
;
